aboutsummaryrefslogtreecommitdiffstats
path: root/test
diff options
context:
space:
mode:
authorrichardv <richardv@f5534014-38df-0310-8fa8-9805f1628bb7>2007-04-18 22:31:47 +0000
committerrichardv <richardv@f5534014-38df-0310-8fa8-9805f1628bb7>2007-04-18 22:31:47 +0000
commit1a36e78bb4a69c98579bd0d3a17e7cb870268a79 (patch)
tree8143677cccddf309038bfad61d2a03729dc7a239 /test
parent277e16b826475758ec45456ead2d585503cd7d62 (diff)
following advice from Gerald, Graham Bloice, and others, let's try copying the unit test executables into the wireshark-gtk2 directory before running them.
git-svn-id: http://anonsvn.wireshark.org/wireshark/trunk@21472 f5534014-38df-0310-8fa8-9805f1628bb7
Diffstat (limited to 'test')
-rwxr-xr-xtest/suite-unittests.sh15
1 files changed, 14 insertions, 1 deletions
diff --git a/test/suite-unittests.sh b/test/suite-unittests.sh
index 901eebb711..844dcf2ad1 100755
--- a/test/suite-unittests.sh
+++ b/test/suite-unittests.sh
@@ -37,6 +37,19 @@ unittests_step_test() {
return
fi
+ # if we're on windows, we have to copy the test exe, and its manifest, to the gtk2
+ # dir before we can use them.
+ if [ "$WS_SYSTEM" == "Windows" ] ; then
+ (cd `dirname $DUT` && $MAKE install_`basename $DUT` INSTALL_DIR=`pwd`/wireshark_gtk2) > testout.txt 2>&1
+ if [ $? -ne 0]; then
+ echo
+ cat ./testout.txt
+ test_step_failed "install $DUT failed"
+ return
+ fi
+ DUT=`pwd`/wireshark_gtk2/`basename $DUT`
+ fi
+
$DUT > testout.txt 2>&1
RETURNVALUE=$?
if [ ! $RETURNVALUE -eq $EXIT_OK ]; then
@@ -71,7 +84,7 @@ unittests_cleanup_step() {
unittests_suite() {
test_step_set_pre unittests_cleanup_step
test_step_set_post unittests_cleanup_step
- #test_step_add "exntest" unittests_step_exntest
+ test_step_add "exntest" unittests_step_exntest
test_step_add "reassemble_test" unittests_step_reassemble_test
test_step_add "tvbtest" unittests_step_tvbtest
}